Skip to main content
GET
/
v1
/
wallets
/
{walletId}
/
transactions
/
{id}
Get transaction
curl --request GET \
  --url https://api.blockradar.co/v1/wallets/{walletId}/transactions/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.blockradar.co/v1/wallets/{walletId}/transactions/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.blockradar.co/v1/wallets/{walletId}/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "address": {
      "address": "0x599393d99e2Ec79048598fa299e4B1B249319339",
      "configurations": {
        "aml": {
          "message": "Address is not sanctioned",
          "provider": "ofac",
          "status": "success"
        }
      },
      "createdAt": "2024-09-03T18:07:00.209Z",
      "derivationPath": "m/44'/60'/0'/0/54",
      "id": "36b1c1ba-c6db-4d63-a794-6c829aaa8fea",
      "isActive": true,
      "metadata": {
        "id": "sweep 0x0e012 n10n10"
      },
      "name": "sweep 0x0e012 n10n10",
      "network": "testnet",
      "type": "INTERNAL",
      "updatedAt": "2024-09-03T18:07:00.209Z"
    },
    "amlScreening": {
      "message": "Address is not sanctioned",
      "provider": "ofac",
      "status": "success"
    },
    "amount": "7.0",
    "amountPaid": "7.0",
    "asset": {
      "address": "0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238",
      "createdAt": "2024-05-14T11:53:33.682Z",
      "decimals": 6,
      "id": "fe04a28c-c615-4e41-8eda-f84c862864f5",
      "isActive": true,
      "logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800083/crypto-assets/usd-coin-usdc-logo_fs9mhv.png",
      "name": "USDC Coin",
      "network": "testnet",
      "standard": "ERC20",
      "symbol": "USDC",
      "updatedAt": "2024-06-14T22:32:12.589Z"
    },
    "assetSwept": true,
    "assetSweptAmount": "7.0",
    "assetSweptAt": "2024-09-03T15:13:40.335Z",
    "assetSweptGasFee": "0.000578844391411408",
    "assetSweptHash": "0xfbb6f9ed524e9cdeeeb2ea442d7b03e8d4ad724f5dcd629ee6426f35367eb6f0",
    "assetSweptRecipientAddress": "0x947514e4B803e312C312da0F1B41fEDdbe15ae7a",
    "assetSweptSenderAddress": "0x599393d99e2Ec79048598fa299e4B1B249319339",
    "beneficiary": null,
    "blockHash": "0xf7a84337295268a52fc928d7140e3156fe5737eaffddc51e3f6f459c60fd7e22",
    "blockNumber": 6626641,
    "blockchain": {
      "createdAt": "2024-05-14T11:53:33.095Z",
      "derivationPath": "m/44'/60'/0'/0",
      "id": "85ffc132-3972-4c9e-99a5-5cf0ccb688bf",
      "isActive": true,
      "isEvmCompatible": true,
      "logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800081/crypto-assets/ethereum-eth-logo_idraq2.png",
      "name": "ethereum",
      "slug": "ethereum",
      "symbol": "eth",
      "tokenStandard": "ERC20",
      "updatedAt": "2024-06-14T22:32:11.983Z"
    },
    "chainId": null,
    "confirmations": 6,
    "confirmed": true,
    "createdAt": "2024-09-03T18:08:52.358Z",
    "currency": "USD",
    "fee": null,
    "gasFee": "0.000464763624214312",
    "gasPrice": "7477012568",
    "gasUsed": "62159",
    "hash": "0xfca89967ad56012444f19ae8c0bb8c5b054c19c66bf9dd5e026c213935f76680",
    "id": "255fdfec-a0d8-426e-873e-b2aec96b8fa7",
    "metadata": {
      "id": "sweep 0x0e012 n10n10"
    },
    "network": "testnet",
    "note": null,
    "reason": "Funds swept successfully",
    "recipientAddress": "0x599393d99e2Ec79048598fa299e4B1B249319339",
    "reference": "9ZUP4aTWMI",
    "senderAddress": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",
    "status": "SUCCESS",
    "type": "DEPOSIT",
    "updatedAt": "2024-09-03T18:13:40.357Z"
  },
  "message": "Transaction fetched successfully",
  "statusCode": 200
}

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

id
string
required
Example:

"TRANSACTION_ID"

Response

200 - application/json

200

data
object
message
string
Example:

"Transaction fetched successfully"

statusCode
number
Example:

200